Page MenuHomePhabricator

Epic: ⚡️ General user mute/block feature
Open, Needs TriagePublic

Description

This is a tracking ticket for multiple features relating to Muting, Blacklisting, or Blocking individual users.


In some cases, a user might want to use a single overall mute/block covering T138166: Allow users to restrict who can send them direct emails via Special:EmailUser, T150419: Allow users to restrict who can send them notifications and [T165124].

There may be uses cases for doing just one, particularly to block private email while still seeing other notifications. So I don't think we should take that away.

Project documentation

https://meta.wikimedia.org/wiki/Community_health_initiative/User_Mute_feature

High-level goal

Reduce harassment by allowing individual users to control who can contact them across our network of Wikimedia wikis.

Prioritization rationale

We will learn from the Echo Notifications blacklist how this is received and how a blacklist could be extended in the future.

Related Objects

StatusAssignedTask
Resolveddmaza
OpenNone
Resolved jmatazzoni
Resolveddbarratt
ResolvedCatrope
DuplicateNone
Resolved Mattflaschen-WMF
Resolved TBolliger
Resolved TBolliger
ResolvedNone
Resolved TBolliger
Resolveddbarratt
ResolvedJohan
OpenNone
ResolvedMooeypoo
OpenNone
DuplicateNone
Resolveddmaza
ResolvedSPoore
ResolvedNone
DeclinedNone
OpenNone
Resolveddbarratt
OpenNone
OpenNone
Resolveddbarratt
Resolveddbarratt
ResolvedSPoore
Resolveddbarratt
DeclinedNone
Resolveddmaza
Resolveddbarratt
Resolveddbarratt
Resolveddmaza
InvalidNone
OpenNone
Resolveddmaza
Resolveddmaza
OpenNone
OpenNone

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 4 2017, 9:28 PM
jrbs added a subscriber: jrbs.May 4 2017, 11:36 PM
SPoore added a subscriber: SPoore.May 11 2017, 3:13 PM
Nemo_bis added a subscriber: Nemo_bis.EditedMay 13 2017, 3:52 PM

All such requests have the same issue: disruptive users will ignore administrators and other users who inform them of their mistakes; it will get even harder for them to improve and they may be blocked without having (actually) received a warning.

This may be less important if we think it's ok to make it easier for users to damage themselves (i.e. to give them a feature which they'll abuse, and where abuse will naturally be punished by wasted time, diminished personal development and eventually block).

@Nemo_bis — You're absolutely correct — there is an underlying question to all of these user-to-user mute/blocking tools of collaboration vs. individual control and safety. This question will be forefront in our minds as we conduct community consultations with various Wikimedia communities to come to an understanding if these features will help or help individual users and the communities as a whole.

If these features proceed to development, it will be our responsibility to design them in a way so users who opt-into them understand the potential consequences if used carelessly.

TBolliger updated the task description. (Show Details)Jun 1 2017, 5:11 PM
TBolliger added a subscriber: CSindersWMF.
TBolliger renamed this task from General user mute/block feature to Tracking: General user mute/block feature.Aug 23 2017, 6:53 PM
TBolliger updated the task description. (Show Details)
dbarratt changed the status of subtask T177319: Enable Email Mute on all Wikimedia wikis from Stalled to Open.Oct 24 2017, 4:18 PM
TBolliger renamed this task from Tracking: General user mute/block feature to Epic: ⚡️ General user mute/block feature.Jun 11 2018, 9:17 PM